org.apache.ignite.internal.util.snaptree

## Class SnapTreeMap.Node<K,V>

- java.lang.Object
- - org.apache.ignite.internal.util.snaptree.SnapTreeMap.Node<K,V>

All Implemented Interfaces:
  Map.Entry<K,V>

Enclosing class:
  SnapTreeMap<K,V>

    protected static class SnapTreeMap.Node<K,V>
    extends Object
    implements Map.Entry<K,V>

### Field Summary

Fields
`K` `key`

### Method Summary

Methods
`boolean` `equals(Object o)`
`K` `getKey()`
`V` `getValue()`
`int` `hashCode()`
`V` `setValue(V v)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public K key

### Method Detail

#### getKey

    public K getKey()

Specified by:
  `getKey` in interface `Map.Entry<K,V>`

#### getValue

    public V getValue()

Specified by:
  `getValue` in interface `Map.Entry<K,V>`

#### setValue

    public V setValue(V v)

Specified by:
  `setValue` in interface `Map.Entry<K,V>`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in interface `Map.Entry<K,V>`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Map.Entry<K,V>`
Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015